به روز رسانی Yoast SEO 19.5 باعث خطاهای مرگبار می شود


ناشرینی که به Yoast SEO 19.5 به روز کرده اند ممکن است بیش از آنچه انتظار داشتند تجربه کرده باشند. گزارش‌های مربوط به خطاهای مرگبار ناشی از به‌روزرسانی به زودی منتشر شد. جالب توجه است که خطا به نظر می رسد محدود به موقعیت های خاص باشد و نه در سراسر صفحه.

Yoast SEO نسخه 19.5

Yoast نسخه 19.5 شامل چندین تغییر است که تجربه کاربر را بهبود می بخشد، مشکل اعتبار سنجی در داده های ساختار یافته مقاله را برطرف می کند و برخی از اشکالات جزئی را برطرف می کند.

یکی از پیشرفت های برجسته بازرس SEO Front-end است که یک نمای کلی از پست ها و تنظیمات مختلف سئو مانند متا تگ ها و داده های ساختاریافته را ارائه می دهد.

متأسفانه یک باگ نیز در یک موقعیت خاص رخ داد که باعث خطای مرگبار شد.

هنگامی که بین دو افزونه تضاد وجود دارد، یک خطای مرگبار ممکن است رخ دهد.

خطای Yoast Fatal

الی شوارتز، کارشناس بازاریابی جستجو و نویسنده کتاب محبوب Product Led SEO، در توییتی درباره یک خطای مرگبار نوشت.

غیر معمول نیست که یک تضاد تصادفی بین افزونه ها باعث ایجاد مشکل شود. اما این همه تصادفی نبود، زیرا دیگران تأیید کردند که همان اتفاق برای آنها افتاده است.

صفحه رسمی پشتیبانی SEO Yoast در WordPress.org نیز حاوی گزارش هایی از خطاهای مرگبار بود.

یکی از کاربران پست کرد:

خطای مرگبار: YoastSEO_Vendor کشف نشد

“امروز از خواب بیدار شدم و سعی کردم به داشبورد وب سایت خود دسترسی پیدا کنم و با یک خطای مرگبار مواجه شدم، من نمی توانم از طریق Backend یا Login به آن دسترسی پیدا کنم.
چگونه می توانم این موضوع را حل کنم.»

دو نفر دیگر با همین مشکل پاسخ دادند و یکی از آنها این نظر را ارائه کرد:

“اینجا هم همینطور. نمی‌توان وارد بک‌اند شد و هم سایت و هم باطن یک خطای مهلک ایجاد می‌کنند.

دیدم که Yoast امروز به‌روزرسانی خودکار شده است.

هم نسخه رایگان و هم نسخه پریمیوم را از دایرکتوری افزونه ها به دایرکتوری موقت منتقل کرد و اکنون سایت دوباره آنلاین شده است.

شخص دیگری با همان تنظیمات نسخه رایگان و پریمیوم آن گزارش را تکرار کرد و پست کرد:

“دریافت یک خطای مرگبار پس از به روز رسانی نیز. نسخه رایگان، نسخه پرمیوم و سئوی اخبار را نیز داشته باشید.

شخص رسمی پشتیبانی Yoast عذرخواهی کرد و با این بیانیه پاسخ داد:

“ما متاسفیم که شما با یک خطای مهلک مواجه هستید. با تشکر از گزارش

ما در حال بررسی هستیم و به نظر می رسد مشکلی در آخرین به روز رسانی Yoast SEO وجود دارد در حالی که جدیدترین Premium هنوز منتشر نشده است. این نباید اتفاق می افتاد

ما به دنبال این هستیم که در اسرع وقت با انتشار یک پچ به صورت رایگان و همچنین با انتشار Yoast SEO Premium در اسرع وقت، این مشکل حل شود.

هر دو باید خطای کشنده را برطرف کنند.

Yoast پاسخ می دهد

Joost de Valk، بنیانگذار Yoast، این بازخورد را به Search Engine Journal ارائه داد:

“در واقع یک پچ به سرعت توسط تیم و برای اکثر سایت هایی که آن را به طور کامل حل کردند ایجاد شد.

برای برخی از سایت‌ها، مکانیسم به‌روزرسانی خودکار به درستی اجرا نشد و بنابراین آن سایت‌ها به‌طور خودکار خودشان را تعمیر نکردند.

ما در داخل در مورد این موضوع بسیار بحث کرده‌ایم، زیرا اصلاً از این اتفاق خوشحال نبودیم و از نحوه رسیدگی به آن راضی نبودیم. انصافاً همه ما واقعاً از آن ناراحتیم و برای سایت هایی که شکسته ایم متاسفیم.

Yoast مشکل را شناسایی می کند

آخرین نظر دهنده ای که به نحوه نصب دو نسخه از افزونه Yoast اشاره کرد، نسخه رایگان و نسخه پریمیوم، ممکن است سرنخی از علت این نقص مرگبار باشد زیرا این وضعیت به عنوان دلیل رخ دادن خطای مرگبار ذکر شده است.

Yoast به سرعت به مشکلات پاسخ داد و یک پچ را در همان روز، نسخه 19.5.1 منتشر کرد.

طبق تغییرات افزونه وردپرس Yoast SEO که آنچه را در هر به‌روزرسانی وجود دارد، مستند می‌کند:

“19.5.1 – رفع اشکال:

اشکالی را برطرف می کند که در آن هنگام استفاده از Yoast SEO 19.5 با نسخه قدیمی Yoast SEO Premium یک خطای مرگبار در قسمت جلویی ایجاد می شود.

مشکل با نسخه 19.5.1 حل شده است

Yoast 19.5.1 مشکل را برطرف کرده است.

یکی از کاربران این نظر را در انجمن پشتیبانی Yoast ارسال کرد:

“به روز رسانی 19.5.1 مشکل را اصلاح کرده است.”

با این حال، از آنجایی که میلیون‌ها کاربر با میلیون‌ها ترکیب پلاگین دیگر نصب شده‌اند، تقریباً اجتناب‌ناپذیر است که موارد بسیار کمی از لبه‌ها با مشکلات ظاهر شوند.

به عنوان مثال، در یک پست در انجمن رسمی پشتیبانی Yoast، یکی از کاربران به‌روزرسانی از 19.4 را مستقیماً به 19.5.1 توصیف می‌کند و تجربه رضایت‌بخشی ندارد.

آنها به اشتراک گذاشتند:

من از 19.4 به 19.5.1 رفتم و همچنان سایت من را خراب کرد. فکر نمی کنم .5.1 مشکل را حل کند. من هرگز به 19.5 آپدیت نکردم. مستقیم از 19.4 به 19.5.1 رفت.
من yoast، Yoast premium و woo دارم. همه 3. اول، یکی که سعی در به روز رسانی داشت، yoast معمولی بود. همه افزونه ها و WP دیگر در سایت من جاری هستند. امیدوارم که به رفع 19.5.1 کمک کند

خوشحالم که هرگز به به‌روزرسانی خودکار اعتماد نمی‌کنم، من طرفدار پرداخت پول به کسی نیستم تا آزمایش‌کننده بتا باشد.

با این حال این یکی هنوز من را جذب کرده است.»

ظاهر شدن کیس های لبه برای هر به روز رسانی غیرعادی نیست و ممکن است این مورد برای Yoast 19.5.1 باشد.

به نظر می رسد دلیل این مشکل این باشد که Yoast یک به روز رسانی برای نسخه رایگان Yoast (19.5) منتشر کرد اما به طور همزمان به روز رسانی نسخه پریمیوم را منتشر نکرد که سپس باعث تضاد دو افزونه و در نتیجه خطای مرگبار شد.


تصویر برجسته توسط Shutterstock/Kues





منبع